#{extends 'borderNG.html' /}

#{set 'titleHead'}
Cari Paket Tender
#{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'lelang.home'}</a></li>
	<li class="active">&{'lelang.tender_untuk_anda'}</li>
</ol>
<div class="content">
	<ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li class="active">
            <a href="@{lelang.LelangCtr.lelangBaru()}" data-toggle="tab">&{'lelang.tahap'}</a>
        </li>
        <li>
            <a href="@{nonlelang.PengadaanLCtr.plBaru()}">&{'lelang.non_tender'}</a>
        </li>
    #{if enableDevPartner}
        <li>
            <a href="@{devpartner.LelangDpCtr.lelangBaru()}">&{'menu.dev_partner'}</a>
        </li>
    #{/if}
    </ul>
   <form id="formFilter">
    <table class="table table-sm table-bordered">
     </table>
   </form>
    
<table id="tblLelangBaru" class="table table-sm">
    <thead>
    <tr>
        <th width="10%">&{'lelang.kode_tender'}</th>
        <th>&{'lelang.nama_paket_tender'}</th>
        <th width="130">&{'tag.hps'}</th>
    </tr>
    </thead>
    <tbody></tbody>
</table>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">

var viewLelang = #{jsRoute @lelang.PendaftaranLelangCtr.index(':id') /};

var viewPl = #{jsRoute @nonlelang.PendaftaranPlCtr.index(':id') /};

var table = ("#tblLelangBaru").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.lelangBaru()}",
        columns: [null, {render: function(data, type, row) {
        	 	var id = row[0];
                var paket = row[1];
                var label = row[3];

                var version = getLabelSpseVersion(row[4]);

                var flag = version.flag;
        		var highlight = version.highlight;

                var url =viewLelang.url({id:id});
                var title = "&{'tag.pendaftaran_tender'}";

                if (row[5] == '11' || row[5] == '12') {
                    url = viewPl.url({id: id});
                    title = "&{'tag.pendaftaran_paket'}"
                }

                row[1] = '<a href="'+url+'" class="dialog" title="'+title+'">' + paket +'</a>&nbsp;<span class="badge  badge-info">'+label+'</span>&nbsp;<span class="'+highlight+'">'+flag+'</span>';
                if (row[5] == '1') {
                    var lblKonsolidasi = getKonsolidasiLabel()
                    row[1] += '&nbsp;<span class="' + lblKonsolidasi.highlight + '">' + lblKonsolidasi.flag + '</span>';
                }
                return row[1];
        	}},{className:'text-right'}
        ]
    });
    $('#tblLelangBaru_filter input').unbind();
    $('#tblLelangBaru_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}
